Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		Argyll
#Epoch:		0
Version:	1.2.0
Release:	1
License:	Affero GNU Version 3 license
URL:		http://www.argyllcms.com
Group:		System/Libraries
Summary:	ICC compatible color management system
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}_V%{version}_src.zip 
# Patches:

# Requires:

# BuildRequires:
BuildRequires:	jam
BuildRequires:  sed
BuildRequires:  libtiff-devel
BuildRequires:  libXrender-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libXxf86vm-devel

%description
ArgyllCMS is an ICC compatible color management system, available as Open Source under the GPL. It supports accurate ICC profile creation for scanners, cameras and film recorders, and calibration and profiling of displays and RGB & CMYK printers. Spectral sample data is supported, allowing a selection of illuminants observer types, and paper fluorescent whitener additive compensation. Profiles can also incorporate source specific gamut mappings for perceptual and saturation intents. Gamut mapping and profile linking uses the CIECAM02 appearance model, a unique gamut mapping algorithm, and a wide selection of rendering intents. Device Link can be created with a wide variety of advanced options. It also includes code for the fastest portable 8 bit raster color conversion engine available anywhere, as well as support for fast, fully accurate 16 bit conversion. Device color gamuts can also be viewed and compared using a VRML viewer. Comprehensive documentation is provided for each utility, and a general guide to using the tools for typical color management tasks is also available. A mailing list provides support for more advanced usage.

Argyll is a collection of source code that compiles into a set of command line tools, licensed under the GNU licensing terms.


%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}_V%{version}

%build
make

%install
rm -Rf $RPM_BUILD_ROOT
make install

mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/argyll
cp -R bin/* $RPM_BUILD_ROOT/usr/bin/
cp -r ref/* $RPM_BUILD_ROOT/usr/share/argyll/
mv $RPM_BUILD_ROOT/usr/bin/License.txt  $RPM_BUILD_ROOT/usr/share/argyll/


# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/applycal
%{_bindir}/average
%{_bindir}/cb2ti3
%{_bindir}/cctiff
%{_bindir}/chartread
%{_bindir}/collink
%{_bindir}/colprof
%{_bindir}/dispcal
%{_bindir}/dispread
%{_bindir}/dispwin
%{_bindir}/extracticc
%{_bindir}/extractttag
%{_bindir}/fakeCMY
%{_bindir}/fakeread
%{_bindir}/greytiff
%{_bindir}/iccdump
%{_bindir}/iccgamut
%{_bindir}/icclu
%{_bindir}/illumread
%{_bindir}/invprofcheck
%{_bindir}/kodak2ti3
%{_bindir}/mppcheck
%{_bindir}/mpplu
%{_bindir}/mppprof
%{_bindir}/printcal
%{_bindir}/printtarg
%{_bindir}/profcheck
%{_bindir}/refine
%{_bindir}/revfix
%{_bindir}/scanin
%{_bindir}/sepgen
%{_bindir}/spec2cie
%{_bindir}/specplot
%{_bindir}/splitti3
%{_bindir}/spotread
%{_bindir}/spyd2en
%{_bindir}/synthcal
%{_bindir}/synthread
%{_bindir}/targen
%{_bindir}/tiffgamut
%{_bindir}/timage
%{_bindir}/txt2ti3
%{_bindir}/verify
%{_bindir}/viewgam
%{_bindir}/xicclu
%{_datadir}/argyll

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Jul 30 2010  -1
- initial CCux package release
